
USES
    crt,
    graph,
    TEGLfont,
    TEGLIcon,
    TEGLIntr,
    FastGrph;

const
  TEGLBackPattern    : FillPatternType = ($AA,$55,$AA,$55,$AA,$55,$AA,$55);

var
  ch : char;
  i,sx,sy  : word;

procedure ClearTEGLScreen;
   begin
      setbkcolor(black);
      SetFillPattern(TEGLBackPattern,1);
      Bar(0,0,getmaxx,getmaxy);
      SetColor(1);
      Rectangle(0,0,getmaxx,getmaxy);
   end;


procedure waitforkey;
   begin
      while keypressed do ch:=readkey;
      while not keypressed do;
      while keypressed do ch:=readkey;
   end;

procedure testgetbiti(x,y,x1,y1,wx,wy:word);
   var	mysize : word;
	buffer : pointer;
   begin
      mysize := bigimagesize(x,y,x1,y1);
      getmem(buffer,mysize);
      GetBitI(x,y,x1,y1,buffer);
      putbiti(wx,wy,buffer,FGNORM);
      putbiti(wx,wy+25,buffer,FGAND);
      putbiti(wx,wy+50,buffer,FGOR);
      putbiti(wx,wy+75,buffer,FGXOR);
      putbiti(wx,wy+100,buffer,FGNOT);
      freemem(buffer,mysize);
   end;

begin
   Herc720x348x2;
   Init_TEGLIntr;
   setmouseminmax(0,0,getmaxx,getmaxy);

   clearteglscreen;

   Putpict(5,5,@imageok,black);
   Putpict(5,35,@imagecredits,black);

   pictsize(sx,sy,@imagecredits);

   setfillstyle(solidfill,white);
   bar(155+1*(sx+50),1,155+2*(sx+50),getmaxy-1);
   setfillstyle(solidfill,black);
   bar(155+2*(sx+50),1,155+3*(sx+50),getmaxy-1);

   testgetbiti(5,35,5+sx-1,35+sy-1,155+0*(sx+50)+25,35);
   testgetbiti(5,35,5+sx-1,35+sy-1,155+1*(sx+50)+25,35);
   testgetbiti(5,35,5+sx-1,35+sy-1,155+2*(sx+50)+25,35);

   setcolor(white);
   fonttable := @font14;
   bar(155+3*(sx+50)+10,35,155+3*(sx+50)+80,35+teglcharheight+2);
   outtegltextxy(155+3*(sx+50)+12,37,'FGNORM');
   bar(155+3*(sx+50)+10,35+25,155+3*(sx+50)+80,35+teglcharheight+2+25);
   outtegltextxy(155+3*(sx+50)+12,37+25,'FGAND');
   bar(155+3*(sx+50)+10,35+50,155+3*(sx+50)+80,35+teglcharheight+2+50);
   outtegltextxy(155+3*(sx+50)+12,37+50,'FGOR');
   bar(155+3*(sx+50)+10,35+75,155+3*(sx+50)+80,35+teglcharheight+2+75);
   outtegltextxy(155+3*(sx+50)+12,37+75,'FGXOR');
   bar(155+3*(sx+50)+10,35+100,155+3*(sx+50)+80,35+teglcharheight+2+100);
   outtegltextxy(155+3*(sx+50)+12,37+100,'FGNOT');

   showmouse;
   waitforkey;
end.
